diff -u bip-0.7.4/debian/control bip-0.7.4/debian/control
--- bip-0.7.4/debian/control
+++ bip-0.7.4/debian/control
@@ -8,7 +8,7 @@ Homepage: http://bip.t1r.net
 
 Package: bip
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.2-14)
 Description: multiuser irc proxy with conversation replay and more
  Bip is a IRC proxy that supports replaying logged conversation when a client
  connects, multiple clients on one irc server connection, It has a handy
diff -u bip-0.7.4/debian/bip.init bip-0.7.4/debian/bip.init
--- bip-0.7.4/debian/bip.init
+++ bip-0.7.4/debian/bip.init
@@ -96,8 +96,16 @@
 	2) log_end_msg 1 ;;
 	esac
 ;;
+status)
+	# /var/run/bip/bip.pid is perm'd 600, so only use -p if readable
+	if [ -r "$PIDFILE" ]; then
+		status_of_proc -p "$PIDFILE" "$BIP" bip && exit 0 || exit $?
+	else
+		status_of_proc "$BIP" bip && exit 0 || exit $?
+	fi
+;;
 *)
-	echo "Usage: /etc/init.d/bip {start|stop|reload|restart}"
+	echo "Usage: /etc/init.d/bip {start|stop|reload|restart|status}"
 	exit 3
 ;;
 esac
